Loading...
Searching...
No Matches
gtsam::BlockJacobiPreconditioner Class Reference
Inheritance diagram for gtsam::BlockJacobiPreconditioner:

## Public Member Functions

void | solve (const Vector &y, Vector &x) const override
| implement x = L^{-1} y
void | transposeSolve (const Vector &y, Vector &x) const override
| implement x = L^{-T} y
void | build (const GaussianFactorGraph &gfg, const KeyInfo &info, const std::map< Key, Vector > &lambda) override
| build/factorize the preconditioner

## Public Types

typedef Preconditioner | Base
Public Types inherited from gtsam::Preconditioner
typedef boost::shared_ptr< Preconditioner > | shared_ptr
typedef std::vector< size_t > | Dimensions

## Protected Member Functions

void | clean ()

## Protected Attributes

std::vector< size_t > | dims_
double * | buffer_
size_t | bufferSize_
size_t | nnz_

## Member Function Documentation

## build()

void gtsam::BlockJacobiPreconditioner::build | ( | const GaussianFactorGraph & | gfg,
|  | const KeyInfo & | info,
|  | const std::map< Key, Vector > & | lambda )

override virtual

build/factorize the preconditioner

Implements gtsam::Preconditioner.

## solve()

void gtsam::BlockJacobiPreconditioner::solve | ( | const Vector & | y,
|  | Vector & | x ) const

override virtual

implement x = L^{-1} y

Implements gtsam::Preconditioner.

## transposeSolve()

void gtsam::BlockJacobiPreconditioner::transposeSolve | ( | const Vector & | y,
|  | Vector & | x ) const

override virtual

implement x = L^{-T} y

Implements gtsam::Preconditioner.

The documentation for this class was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/Preconditioner.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/Preconditioner.cpp